> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook Controller handle Mercado Pago



## OpenAPI

````yaml /generated/specs/finance.json post /api/v1/webhooks/mercadopago
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/webhooks/mercadopago:
    post:
      tags:
        - Webhook
      summary: Webhook Controller handle Mercado Pago
      operationId: WebhookController_handleMercadoPago
      parameters:
        - name: topic
          required: true
          in: query
          schema:
            type: string
        - name: id
          required: true
          in: query
          schema:
            type: string
        - name: x-signature
          required: true
          in: header
          schema:
            type: string
        - name: x-request-id
          required: true
          in: header
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MercadoPagoWebhookDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    MercadoPagoWebhookDto:
      type: object
      properties:
        resource:
          type: string
          description: Recurso notificado por Mercado Pago (IPN)
        topic:
          type: string
          description: Tipo de notificación IPN de Mercado Pago
        type:
          type: string
          description: Mercado Pago notification type
        action:
          type: string
          description: Mercado Pago notification action
        data:
          $ref: '#/components/schemas/MercadoPagoWebhookDataDto'
        id:
          type: string
          description: Mercado Pago notification ID
        live_mode:
          type: boolean
          description: Whether the notification is live
        user_id:
          type: string
          description: Mercado Pago user ID
        api_version:
          type: string
          description: Mercado Pago API version
        date_created:
          type: string
          description: Notification creation timestamp
    MercadoPagoWebhookDataDto:
      type: object
      properties:
        id:
          type: string
          description: Mercado Pago resource ID

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.